- [HTTP request](https://docs.cloud.google.com/api-gateway/docs/reference/rest/v1/projects.locations.apis/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/api-gateway/docs/reference/rest/v1/projects.locations.apis/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/api-gateway/docs/reference/rest/v1/projects.locations.apis/get#body.request_body)
- [Response body](https://docs.cloud.google.com/api-gateway/docs/reference/rest/v1/projects.locations.apis/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/api-gateway/docs/reference/rest/v1/projects.locations.apis/get#body.aspect)

Gets details of a single Api.

### HTTP request

`GET https://apigateway.googleapis.com/v1/{name=projects/*/locations/*/apis/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Resource name of the form: `projects/*/locations/global/apis/*` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `apigateway.apis.get` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/api-gateway/docs/reference/rest/v1/projects.locations.apis#Api`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).